%global pkg_name        Compress-Zlib
%global pkg_version     2.008
%global rpm_pkg_version 2.008
%global rpm_pkg_release 1.n0i.24
%global req_pkg_version 2.008

Summary:       Interface to zlib compression library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMQS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl

BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Compress::Raw::Zlib) >= %{req_pkg_version}
#Requires:      perl(Compress::Raw::Zlib) >= %{req_pkg_version}
BuildRequires: perl(IO::Compress::Base) >= %{req_pkg_version}
Requires:      perl(IO::Compress::Base) >= %{req_pkg_version}
BuildRequires: perl(IO::Compress::Base::Common) >= %{req_pkg_version}
#Requires:      perl(IO::Compress::Base::Common) >= %{req_pkg_version}
BuildRequires: perl(IO::Compress::Gzip) >= %{req_pkg_version}
#Requires:      perl(IO::Compress::Gzip) >= %{req_pkg_version}
BuildRequires: perl(IO::Compress::Gzip::Constants) >= %{req_pkg_version}
#Requires:      perl(IO::Compress::Gzip::Constants) >= %{req_pkg_version}
BuildRequires: perl(IO::Uncompress::Base) >= %{req_pkg_version}
Requires:      perl(IO::Uncompress::Base) >= %{req_pkg_version}
BuildRequires: perl(IO::Uncompress::Gunzip) >= %{req_pkg_version}
#Requires:      perl(IO::Uncompress::Gunzip) >= %{req_pkg_version}

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%doc Changes examples/ README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 2.008-1.n0i.24
- version 2.008
- spec update (new reb00t build tools)

* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 2.007-1.n0i.23
- version 2.007

* Sun Sep 02 2007 Marius Feraru <altblue@n0i.net> - 2.006-1.n0i.22
- version 2.006

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 2.005-1.n0i.21
- version 2.005

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.004-1.n0i.20
- version 2.004

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 1.42-1.n0i.19
- version 1.42

* Thu Oct 06 2005 Marius FERARU <altblue@n0i.net> 2.000_05-1.n0i.18
- version 2.000_05

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.41-1.n0i.17
- version 1.41

* Tue Sep 13 2005 Marius FERARU <altblue@n0i.net> 2.000_02-1.n0i.16
- version 2.000_02

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 1.38-2.n0i.15
- automatic rebuild

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 1.38-1.n0i.14
- version 1.38

* Tue Aug 30 2005 Marius Feraru <altblue@n0i.net> 1.37-1.n0i.13
- version 1.37

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 1.36-1.n0i.12
- version 1.36

* Wed Jul 27 2005 Marius FERARU <altblue@n0i.net> 1.35-1.n0i.11
- version 1.35

* Wed Jul 20 2005 Marius Feraru <altblue@n0i.net> 1.34-17.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.34-16.n0i.9
- automatic rebuild (perl 5.8.6)

* Mon Jan 31 2005 Marius FERARU <altblue@n0i.net> 0:1.34-16.n0i.8
- version 1.34

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 0:1.33-15.n0i.7
- rebuild against perl 5.8.6
- added custom req/prov to avoid dependencies on files in %%docdir

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.33-14.n0i.6
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.33-14.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:1.33-0.n0i.4
- version 1.33

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:1.32-0.n0i.3
- version 1.32

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:1.31-0.n0i.2
- version 1.31
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 1.22-0.n0i
- version 1.22
